Authorization: Bearer ********************{
"datetime": {
"operator": "BETWEEN",
"value": [
"string"
]
},
"group": "CURRENCY",
"type": "ASSET",
"currencyList": [
"string"
],
"chartOfAccountIds": [
"string"
],
"entityAccountIds": [
"string"
],
"accountingPeriodCode": [
"string"
]
}curl --location 'https://web-api.blockindex.com/entity//valuation/crypto/summary/realizedAndUnrealizedGainLoss' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"datetime": {
"operator": "BETWEEN",
"value": [
"string"
]
},
"group": "CURRENCY",
"type": "ASSET",
"currencyList": [
"string"
],
"chartOfAccountIds": [
"string"
],
"entityAccountIds": [
"string"
],
"accountingPeriodCode": [
"string"
]
}'{
"status": "success",
"requestId": "ed458995-3eb1-48c9-90b3-1e6f4d57ab82",
"data": [
{
"cryptoSummaryDailyId": "string",
"type": "ASSET",
"currency": "string",
"chartOfAccountId": "string",
"entityAccountId": "string",
"acquisitionQuantity": "string",
"acquisitionCost": "string",
"disposalQuantity": "string",
"disposalAmount": "string",
"disposalCost": "string",
"realizedGainLoss": "string",
"endingQuantity": "string",
"endingCost": "string",
"endingMarket": "string",
"endingUnrealizedGainLoss": "string",
"beginningQuantity": "string",
"beginningCost": "string",
"underlyingCurrency": {
"underlyingCurrencyId": "string",
"name": "string",
"symbol": "string",
"logo": "string",
"type": "CRYPTO",
"detailPlatforms": {},
"uniqueId": "string",
"createdAt": "string",
"updatedAt": "string",
"deletedAt": "string",
"showSymbol": "''",
"sign": "string",
"entityId": "string",
"syncStatus": "DOING",
"syncLog": "string"
},
"entityAccount": {
"entityAccountId": "string",
"name": "string",
"entityId": "string",
"identity": "string",
"platformId": "string",
"platformType": "CHAIN",
"usedProviderId": "string",
"verifyProviderId": "string",
"status": "NORMAL",
"memo": "string",
"treasuryBalanceStatus": "DOING",
"syncLog": "string",
"auxiliaryValueList": [
{
"auxiliaryTypeId": "string",
"entityAccountId": "string",
"counterpartyId": "string",
"auxiliaryItemId": "string"
}
],
"accountLevel": "MASTER",
"masterEntityAccountId": "string",
"identityList": [
"string"
],
"minSigners": 0,
"createdAt": "string",
"updatedAt": "string",
"deletedAt": "string"
},
"chartOfAccount": {
"chartOfAccountId": "string",
"entityId": "string",
"nameCN": "string",
"name": "string",
"type": "ASSET",
"parentChartOfAccountId": "string",
"code": "string",
"description": "string",
"auxiliaryTypeIds": [
"string"
],
"defaultBalanceType": "Dr",
"creatorType": "SYSTEM",
"slug": "string",
"isLeaf": 0,
"isCashAccount": true,
"userId": "string",
"enableOriginalCurrency": true,
"enableFairValueAdjustment": true,
"fairValueChartOfAccountId": "string",
"costChartOfAccountId": "string",
"depth": 0,
"createdAt": "string",
"updatedAt": "string",
"deletedAt": "string"
}
}
]
}